<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__capsense__lib_8h" kind="file" language="C++">
    <compoundname>cy_capsense_lib.h</compoundname>
    <includes local="yes">cy_syslib.h</includes>
    <includedby local="yes" refid="cy__capsense__centroid_8h">cy_capsense_centroid.h</includedby>
    <includedby local="yes" refid="cy__capsense__structure_8h">cy_capsense_structure.h</includedby>
    <includedby local="yes" refid="cy__capsense_8h">cy_capsense.h</includedby>
    <includedby local="yes" refid="cy__capsense__processing_8h">cy_capsense_processing.h</includedby>
    <includedby local="yes" refid="cy__capsense__centroid_8c">cy_capsense_centroid.c</includedby>
    <includedby local="yes" refid="cy__capsense__filter_8c">cy_capsense_filter.c</includedby>
    <includedby local="yes" refid="cy__capsense__processing_8c">cy_capsense_processing.c</includedby>
    <includedby local="yes" refid="cy__capsense__selftest_8c">cy_capsense_selftest.c</includedby>
    <includedby local="yes" refid="cy__capsense__sensing__v2_8c">cy_capsense_sensing_v2.c</includedby>
    <includedby local="yes" refid="cy__capsense__structure_8c">cy_capsense_structure.c</includedby>
    <incdepgraph>
      <node id="61">
        <label>cy_syslib.h</label>
      </node>
      <node id="60">
        <label>cy_capsense_lib.h</label>
        <link refid="cy__capsense__lib_8h" />
        <childnode refid="61" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t">cy_stc_capsense_adaptive_filter_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__advanced__centroid__config__t">cy_stc_capsense_advanced_centroid_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__auto__tune__config__t">cy_stc_capsense_auto_tune_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__smartsense__update__thresholds__t">cy_stc_capsense_smartsense_update_thresholds_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ballistic__config__t">cy_stc_capsense_ballistic_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ballistic__context__t">cy_stc_capsense_ballistic_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ballistic__delta__t">cy_stc_capsense_ballistic_delta_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__alp__fltr__channel__t">cy_stc_capsense_alp_fltr_channel_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__alp__fltr__config__t">cy_stc_capsense_alp_fltr_config_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__touch_1ga357d64c36840893809b9fa325f9ad6d5" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_ADVANCED_CENTROID_NO_TOUCHES</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>No touch detected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="37" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__touch_1ga7178f206572f3066be919024efcd824f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_ADVANCED_CENTROID_POSITION_ERROR</name>
        <initializer>(0xFFu)</initializer>
        <briefdescription>
<para>An error in touch calculation or number of detected touches is above supported touches. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="39" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The file contains application programming interface to the CapSense library. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2018-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#if<sp />!defined(CY_CAPSENSE_LIB_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_LIB_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="30"><highlight class="comment">*<sp />Public<sp />definitions</highlight></codeline>
<codeline lineno="31"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="35"><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_ADVANCED_CENTROID_NO_TOUCHES<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x00u)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="preprocessor">#define<sp />CY_CAPSENSE_ADVANCED_CENTROID_POSITION_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0xFFu)</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="44"><highlight class="comment">*<sp />Structures</highlight></codeline>
<codeline lineno="45"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="49"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="52" refid="structcy__stc__capsense__adaptive__filter__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal">{</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />maxK;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />minK;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />noMovTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />littleMovTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />largeMovTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />divVal;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />reserved0;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />reserved1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="62"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__adaptive__filter__config__t">cy_stc_capsense_adaptive_filter_config_t</ref>;</highlight></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="65" refid="structcy__stc__capsense__advanced__centroid__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal">{</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />fingerTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />penultimateTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />virtualSnsTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />resolutionX;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />resolutionY;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />crossCouplingTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />snsCountX;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />snsCountY;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />edgeCorrectionEn;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />twoFingersEn;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="77"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__advanced__centroid__config__t">cy_stc_capsense_advanced_centroid_config_t</ref>;</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="121" refid="structcy__stc__capsense__position__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal">{</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />x;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />y;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />z;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />id;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="127"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</ref>;</highlight></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="130" refid="structcy__stc__capsense__touch__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal">{</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</ref><sp />*<sp />ptrPosition;<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />numPosition;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="142"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</ref>;</highlight></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="145" refid="structcy__stc__capsense__auto__tune__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal">{</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />sensorCap;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />iDacGain;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSenseClk;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />sigPFC;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />snsClkConstantR;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />vRef;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />fingerCap;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />snsClkInputClock;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />calTarget;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />iDacMod;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />iDacComp;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="158"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__auto__tune__config__t">cy_stc_capsense_auto_tune_config_t</ref>;</highlight></codeline>
<codeline lineno="159"><highlight class="normal" /></codeline>
<codeline lineno="161" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal">{</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />param0;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />param1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />param2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />param3;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />param4;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />param5;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />param6;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="170"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</ref>;</highlight></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="173" refid="structcy__stc__capsense__smartsense__update__thresholds__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal">{</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />fingerTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />noiseTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />nNoiseTh;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />hysteresis;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="179"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__update__thresholds__t">cy_stc_capsense_smartsense_update_thresholds_t</ref>;</highlight></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="182" refid="structcy__stc__capsense__ballistic__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal">{</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />accelCoeff;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />speedCoeff;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />divisorValue;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />speedThresholdX;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />speedThresholdY;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />reserved0;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />reserved1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp />reserved2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="192"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ballistic__config__t">cy_stc_capsense_ballistic_config_t</ref>;</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="195" refid="structcy__stc__capsense__ballistic__context__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="normal">{</highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />currentTimestamp;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />oldTimestamp;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />int32_t<sp />deltaXfrac;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp />int32_t<sp />deltaYfrac;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />x;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />y;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />touchNumber;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />oldTouchNumber;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />reserved0;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />reserved1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="207"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ballistic__context__t">cy_stc_capsense_ballistic_context_t</ref>;</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="210" refid="structcy__stc__capsense__ballistic__delta__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal">{</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp />int16_t<sp />deltaX;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp />int16_t<sp />deltaY;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="214"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__ballistic__delta__t">cy_stc_capsense_ballistic_delta_t</ref>;</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="219" refid="structcy__stc__capsense__alp__fltr__channel__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal">{</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dataParam0;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dataParam1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dataParam2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dataParam3;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dataParam4;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dataParam5;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dataParam6;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />dataParam7;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="229"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__channel__t">cy_stc_capsense_alp_fltr_channel_t</ref>;</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="232" refid="structcy__stc__capsense__alp__fltr__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="233"><highlight class="normal">{</highlight></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />configParam0;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />configParam1;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />configParam2;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />configParam3;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />configParam4;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />configParam5;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="240"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__config__t">cy_stc_capsense_alp_fltr_config_t</ref>;</highlight></codeline>
<codeline lineno="241"><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="244"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="245"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="250"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="251"><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="253"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AdaptiveFilterInitialize_Lib</highlight></codeline>
<codeline lineno="254"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="266"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_AdaptiveFilterInitialize_Lib(</highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__adaptive__filter__config__t">cy_stc_capsense_adaptive_filter_config_t</ref><sp />*<sp />config,<sp /></highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="269"><highlight class="normal" /></codeline>
<codeline lineno="270"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="271"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AdaptiveFilterRun_Lib</highlight></codeline>
<codeline lineno="272"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="296"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_AdaptiveFilterRun_Lib(</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__adaptive__filter__config__t">cy_stc_capsense_adaptive_filter_config_t</ref><sp />*<sp />config,</highlight></codeline>
<codeline lineno="298"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</ref><sp />*<sp />context,<sp /></highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />currentX,<sp /></highlight></codeline>
<codeline lineno="300"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />*<sp />currentY);</highlight></codeline>
<codeline lineno="301"><highlight class="normal" /></codeline>
<codeline lineno="302"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="303"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AdvancedCentroidGetTouchCoordinates_Lib</highlight></codeline>
<codeline lineno="304"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="318"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_AdvancedCentroidGetTouchCoordinates_Lib(</highlight></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__advanced__centroid__config__t">cy_stc_capsense_advanced_centroid_config_t</ref><sp />*<sp />config,</highlight></codeline>
<codeline lineno="320"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint16_t<sp />*<sp />ptrSns,</highlight></codeline>
<codeline lineno="321"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</ref><sp />*<sp />touch);</highlight></codeline>
<codeline lineno="322"><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="324"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_BallisticMultiplier_Lib</highlight></codeline>
<codeline lineno="325"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="345"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_BallisticMultiplier_Lib(</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__ballistic__config__t">cy_stc_capsense_ballistic_config_t</ref><sp />*<sp />config,<sp /></highlight></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</ref><sp />*<sp />touch,</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ballistic__delta__t">cy_stc_capsense_ballistic_delta_t</ref><sp />*<sp />displacement,</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />timestamp,</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__ballistic__context__t">cy_stc_capsense_ballistic_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="351"><highlight class="normal" /></codeline>
<codeline lineno="352"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="353"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AlpRun_Lib</highlight></codeline>
<codeline lineno="354"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="371"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_AlpRun_Lib(</highlight></codeline>
<codeline lineno="372"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__channel__t">cy_stc_capsense_alp_fltr_channel_t</ref><sp />*<sp />ptrFilterObj,<sp /></highlight></codeline>
<codeline lineno="373"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__config__t">cy_stc_capsense_alp_fltr_config_t</ref><sp />*<sp />ptrFilterConfig,</highlight></codeline>
<codeline lineno="374"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />rawCount,<sp /></highlight></codeline>
<codeline lineno="375"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint16_t<sp />*<sp />baseline);</highlight></codeline>
<codeline lineno="376"><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="378"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AlpInitialize_Lib</highlight></codeline>
<codeline lineno="379"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="390"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_AlpInitialize_Lib(</highlight></codeline>
<codeline lineno="391"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__channel__t">cy_stc_capsense_alp_fltr_channel_t</ref><sp />*<sp />ptrFilterObj,<sp /></highlight></codeline>
<codeline lineno="392"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint16_t<sp />*<sp />rawCount);</highlight></codeline>
<codeline lineno="393"><highlight class="normal" /></codeline>
<codeline lineno="394"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="395"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AlpResetState_Lib</highlight></codeline>
<codeline lineno="396"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="404"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_AlpResetState_Lib(</highlight></codeline>
<codeline lineno="405"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__channel__t">cy_stc_capsense_alp_fltr_channel_t</ref><sp />*<sp />ptrFilterObj);</highlight></codeline>
<codeline lineno="406"><highlight class="normal" /></codeline>
<codeline lineno="407"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="408"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_AlpGetAverage_Lib</highlight></codeline>
<codeline lineno="409"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="420"><highlight class="normal">uint32_t<sp />Cy_CapSense_AlpGetAverage_Lib(</highlight></codeline>
<codeline lineno="421"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__alp__fltr__channel__t">cy_stc_capsense_alp_fltr_channel_t</ref><sp />*<sp />ptrFilterObj);</highlight></codeline>
<codeline lineno="422"><highlight class="normal" /></codeline>
<codeline lineno="423"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="424"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_TunePrescalers_Lib</highlight></codeline>
<codeline lineno="425"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="445"><highlight class="normal">uint32_t<sp />Cy_CapSense_TunePrescalers_Lib(</highlight></codeline>
<codeline lineno="446"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__auto__tune__config__t">cy_stc_capsense_auto_tune_config_t</ref><sp />*<sp />config);</highlight></codeline>
<codeline lineno="447"><highlight class="normal" /></codeline>
<codeline lineno="448"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="449"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_TuneSensitivity_Lib</highlight></codeline>
<codeline lineno="450"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="475"><highlight class="normal">uint8_t<sp />Cy_CapSense_TuneSensitivity_Lib(</highlight></codeline>
<codeline lineno="476"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__auto__tune__config__t">cy_stc_capsense_auto_tune_config_t</ref><sp />*<sp />config);</highlight></codeline>
<codeline lineno="477"><highlight class="normal" /></codeline>
<codeline lineno="478"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="479"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_UpdateThresholds_Lib</highlight></codeline>
<codeline lineno="480"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="500"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_UpdateThresholds_Lib(</highlight></codeline>
<codeline lineno="501"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</ref><sp />*<sp />ptrNoiseEnvelope,</highlight></codeline>
<codeline lineno="502"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__update__thresholds__t">cy_stc_capsense_smartsense_update_thresholds_t</ref><sp />*<sp />ptrThresholds,</highlight></codeline>
<codeline lineno="503"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />sigPFC,</highlight></codeline>
<codeline lineno="504"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />startFlag);</highlight></codeline>
<codeline lineno="505"><highlight class="normal" /></codeline>
<codeline lineno="506"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="507"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_InitializeNoiseEnvelope_Lib</highlight></codeline>
<codeline lineno="508"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="522"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeNoiseEnvelope_Lib(</highlight></codeline>
<codeline lineno="523"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />rawCount,</highlight></codeline>
<codeline lineno="524"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />sigPFC,</highlight></codeline>
<codeline lineno="525"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</ref><sp />*<sp />ptrNoiseEnvelope);</highlight></codeline>
<codeline lineno="526"><highlight class="normal" /></codeline>
<codeline lineno="527"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="528"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_CapSense_RunNoiseEnvelope_Lib</highlight></codeline>
<codeline lineno="529"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="543"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunNoiseEnvelope_Lib(</highlight></codeline>
<codeline lineno="544"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />rawCount,</highlight></codeline>
<codeline lineno="545"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />sigPFC,</highlight></codeline>
<codeline lineno="546"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</ref><sp />*<sp />ptrNoiseEnvelope);</highlight></codeline>
<codeline lineno="549"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="550"><highlight class="normal">}</highlight></codeline>
<codeline lineno="551"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="552"><highlight class="normal" /></codeline>
<codeline lineno="553"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="554"><highlight class="normal" /></codeline>
<codeline lineno="555"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_CAPSENSE_LIB_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="556"><highlight class="normal" /></codeline>
<codeline lineno="557"><highlight class="normal" /></codeline>
<codeline lineno="558"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" />
  </compounddef>
</doxygen>